> ## Documentation Index
> Fetch the complete documentation index at: https://docs.p2p.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Step Result

> Get the full transaction response once a step is ready. Returns null in result if the step is not ready yet.



## OpenAPI

````yaml openapi/defi-api.json GET /api/defi/v1/transactions/steps/result
openapi: 3.0.3
info:
  title: DeFi API
  version: 1.0.0
servers:
  - url: https://edge.p2p.org
security:
  - ClientHash: []
  - ApiKey: []
tags:
  - name: Earning
  - name: Positions
  - name: Rewards
  - name: Transactions
  - name: Wallets
paths:
  /api/defi/v1/transactions/steps/result:
    get:
      tags:
        - Transactions
      summary: Get Step Result
      description: >-
        Get the full transaction response once a step is ready. Returns null in
        result if the step is not ready yet.
      operationId: get_step_result
      parameters:
        - name: operationId
          in: query
          required: true
          schema:
            type: string
        - name: action
          in: query
          required: true
          schema:
            type: string
        - name: stepName
          in: query
          required: true
          schema:
            type: string
        - name: chain
          in: query
          required: true
          schema:
            type: string
        - name: protocol
          in: query
          required: true
          schema:
            type: string
        - name: strategy
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Full transaction response or null if not ready.
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    nullable: true
                  error:
                    nullable: true
                    default: null
                  meta:
                    $ref: '#/components/schemas/ResponseMeta'
        '400':
          description: ValidationException
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: >-
            AssetNotSupportedException | StrategyNotSupportedException |
            ProtocolNotSupportedException
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: GetStepResultFailedException
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ResponseMeta:
      type: object
      properties:
        time:
          type: integer
        requestId:
          type: string
          format: uuid
    ErrorResponse:
      type: object
      properties:
        result:
          nullable: true
          default: null
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
            validationErrors:
              type: array
              items:
                type: object
        meta:
          $ref: '#/components/schemas/ResponseMeta'
  securitySchemes:
    ClientHash:
      type: apiKey
      in: header
      name: X-Client-Hash
    ApiKey:
      type: apiKey
      in: header
      name: apikey

````

## Related topics

- [Get Transaction Step Schema](/reference/get-transaction-schema.md)
- [Get Step Crafting Status](/reference/get-step-status.md)
- [Craft Transaction Step](/reference/craft-transaction-step.md)
- [Getting Started](/docs/defi-api-getting-started.md)
- [Withdrawal](/docs/morpho-withdrawal.md)
